HINO Bugs - Feature #1684

[HINO - Payroll] Proses Payroll membaca Overtime -1 M
10/10/2022 06:09 PM - Mohammad Daud

Status: Closed Start date: 10/10/2022
Priority: High Due date: 10/13/2022
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Team Developer,

Minta bantuannya untuk dapat melakukan penyesuaian terkait dengan proses Payroll untuk membaca data Overtime, kondisi yang
diinginkan adalah data Overtime dibulan berjalan tidak dihitung oleh engine Payroll, contoh Kasusnya adalah jika saat ini Proses
Payroll Bulan September maka lemburan yang akan dibaca oleh sytem lemburan bulan Agustus kebawah.

For Info Solusi sesuai dengan Diskusi Posting akan masuk kedalam Master data tampungan Overtime dan dibuatkan Service yang
akan running setiap hari untuk memindahkan data Overtime di tabel tampungan ke tabel Original.

Akses ke aplikasi http://remote.minovais.com:61120/Account/Login
User woty
Pass 123Aa

database sql server 2019
remote.minovais.com, 1445\MSSQLSERVER2019
minova hino prod agustus 2022

History

#1 - 10/11/2022 09:45 AM - Kezia Pawitra Yulianti
- Due date changed from 10/12/2022 to 10/13/2022
- Status changed from New to Assigned

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

Fiona,

tolong d bantu untuk dapat dibuatkan:

1. dl tabel penampung nya untuk MD Overtime.

2. Dibuatkan postingan baru ke tabel penampung tsb

Untuk detail nya, Silahkan diskusi dgn daud untuk requirement nya.

Kalau sudah ada tabel penampung nya, baru nanti task ini di assign ke mang wanto untuk dibuatkan servicenya

Tks
#2 - 10/11/2022 11:39 AM - Fiona Avangeline Jonathan

- File clipboard-202210111138-spifp.png added

- Assignee changed from Fiona Avangeline Jonathan to Saswanto Tampan

Mang Wanto,

Table tampungannya sudah dibuat dengan nama PHRPAT016 . (MD asli nya PHRPAQ016)
Sudah dibuatkan SDATATABLEFIELD, SDATATABLE, Tabel Fisik dan ubah FIELDPOS.

Sudah di tes juga ketika mengajukan ESS overtime, data nya ke posting ke tabel tampungan. Di table asli PHRPA0016 kosong.

IMO .2 - dbo.PHRPADD 6 MAINOWAIS-SERVERN..2 - dbo.PHRPATO1E & > gl VER., /FDEFFIELDPOE* Iyl WFDEFTABLERODY I
StartDate  EndDate EmployeslD  OwvertimeType StartTime EndTime DayType Duration DayvBeforeFlag PlanDuration  StartPlan EndPlan Motes  CreateBy CreateDate ChangeBy ChangeDate

3 20220001 20220901 00000519 & 1907 2056 DAY 1.92 h MULL MULL MULL lembur 00000519 2022101112113 00000519 2022101112113

u MULL WULL MUILL UL MULL UL WULL MULL WULL HULL UL WULL MNULL  NULL UL UL MULL

Terima kasih.
http://remote.minovais.com:61120/Account/Login

#3 - 10/28/2022 02:55 PM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to Mohammad Daud

SILAHKAN DI BUAT JOB SQL DI DB YANG BERSANGKUTAN YANG AUTO RUN SETIAP HARI MENGGUNAKAN QUERY INI :

insert into PHRPAO016

select distinct pt16.StartDate,pt16.EndDate,pt16.EmployeelD,pt16.0OvertimeType,pt16.StartTime,pt16.EndTime,pt16.DayType,pt16.Duration
,pt16.DayBeforeFlag,pt16.PlanDuration,pt16.StartPlan,pt16.EndPlan,pt16.Notes,pt16.CreateBy,pt16.CreateDate,pt16.ChangeBy,pt16.ChangeDate
from PHRPATO016 pt16 left outer join

PHRPAQ0002 pa2 on pa2.EmployeelD = pt16.EmployeelD and (pt16.StartDate between pa2.StartDate and pa2.EndDate) left outer join
PHRPYPGCTRL ctrl on ctrl.PayrollGroup = pa2.PayrollGroup

where left(pt16.EndDate,6) <= ctrl.PayrollPeriod-1 and left(ctrl.PayrollPeriod,4) = left(pt16.StartDate,4) and ctrl.PayrollControlStatus='C'

#4 - 10/28/2022 05:10 PM - Kezia Pawitra Yulianti

ini udah d update khan ya querynya supaya mindahin dr tabel tampungan ke tabel real?

#5 - 11/07/2022 04:49 PM - Muhammad Bintar
- File clipboard-202211071649-0q07g.png added
- Status changed from Assigned to Deploy

update sudah di deploy ke hino production.
tinggal monitoring untuk ESS yang terposting apakah masuk ke tabel tampungan atau tidak.
#6 - 11/10/2022 10:38 AM - Saswanto Tampan

select distinct pt16.StartDate,pt16.EndDate,pt16.EmployeelD,pt16.0OvertimeType,pt16.StartTime,pt16.EndTime,pt16.DayType,pt16.Duration
,pt16.DayBeforeFlag,pt16.PlanDuration,pt16.StartPlan,pt16.EndPlan,pt16.Notes,pt16.CreateBy,pt16.CreateDate,pt16.ChangeBy,pt16.ChangeDate
into #PHRPA0016 from PHRPATO16 pt16 left outer join

PHRPAQ002 pa2 on pa2.EmployeelD = pt16.EmployeelD and (pt16.StartDate between pa2.StartDate and pa2.EndDate) left outer join
PHRPYPGCTRL ctrl on ctrl.PayrollGroup = pa2.PayrollGroup

where left(pt16.EndDate,6) <= ctrl.PayrollPeriod-1 and left(ctrl.PayrollPeriod,4) = left(pt16.StartDate,4) and ctrl.PayrollControlStatus='C'

insert into PHRPAO0016 select * from #PHRPA0016

update PHRPAOQO015 set RetroDate= case

when PHRPAOO015.RetroDate =" then a.StartDate

when PHRPAO015.RetroDate > a.StartDate then a.StartDate end,
CorrectStatus="1" from (select StartDate,EmployeelD from #PHRPAQ016)a
where PHRPAO0015.EmployeelD=a.EmployeelD

drop table #PHRPA0016

#7 - 11/17/2022 01:20 PM - Muhammad Bintar
- Status changed from Deploy to Closed

- Assignee changed from Mohammad Daud to Saswanto Tampan

#8 - 11/29/2022 10:01 AM - Muhammad Bintar

update query baru
USE MinovaES_HINO_Prod

select distinct pt16.StartDate,pt16.EndDate,pt16.EmployeelD,pt16.0OvertimeType,pt16.StartTime,pt16.EndTime,pt16.Day Type,pt16.Duration
,pt16.DayBeforeFlag,pt16.PlanDuration,pt16.StartPlan,pt16.EndPlan,pt16.Notes,pt16.CreateBy,pt16.CreateDate,pt16.ChangeBy,pt16.ChangeDate
into #PHRPA0016 from PHRPATO016 pt16 left outer join

PHRPA0002 pa2 on pa2.EmployeelD = pt16.EmployeelD and (pt16.StartDate between pa2.StartDate and pa2.EndDate) left outer join
PHRPYPGCTRL ctrl on ctrl.PayrollGroup = pa2.PayrollGroup

where left(pt16.EndDate,6) <= ctrl.PayrollPeriod-1 and left(ctrl.PayrollPeriod,4) = left(pt16.StartDate,4) and ctrl.PayrollControlStatus='C'

insert into PHRPAO0O016 select * from #PHRPA0016

update PHRPAOQO015 set RetroDate= case

when PHRPAO015.RetroDate =" then a.StartDate

when PHRPA0015.RetroDate > a.StartDate then a.StartDate end,

CorrectStatus='1' from (SELECT TOP StartDate,EmployeelD from #PHRPA0016 ORDER BY StartDate asc)a
where PHRPAO0015.EmployeelD=a.EmployeelD

DELETE FROM PHRPAT016 WHERE EmployeelD+StartDate IN (select EmployeelD+StartDate from #PHRPA0016)

drop table #PHRPA0016
